#!/bin/sh

RS232IO=/usr/bin/rs232io
# in case of testing on host
if [ "$FSROOT" != "" ]; then RS232IO=htrs232io; fi

echo cstring=$cstring'<br><br>'

echo mcstring=$mcstring'<br><br>'

echo string=$string'<br><br>'

echo string1=$string1'<br>'
echo string2=$string2'<br>'
echo string3=$string3'<br><br>'

echo text=$text'<br><br>'

echo horiz=$horiz'<br>'
echo vert=$vert'<br><br>'


if [ "$cstring" = '1' ]; then
    echo 'sending a constant string<br>'
    $RS232IO 'one arg'
elif [ "$mcstring" = '1' ]; then
    echo 'sending two server known strings<br>'
    $RS232IO 'first arg' "$SCRIPT_FILENAME"
elif [ "$string" != "" ]; then
    echo 'sending one browser provided string<br>'
    $RS232IO $string
elif [ "$string1" != "" ]; then
    echo 'sending several strings<br>'
    $RS232IO $string1 $string2 $string3
elif [ "$text" = "1" ]; then
    echo 'sending a text<br>'
    read text
    httpd -d "$text" | sed -e 's/text=//' | $RS232IO
elif [ "$horiz" != "" -a "$vert" != "" ]; then
    if [ $horiz -gt 255 -o $vert -gt 255 ]; then
	echo "bad values for packet: horiz=$horiz, vert=$vert<br>"
    else
	echo 'sending a packet<br>'
	packet=`printf '[\\\xe0\\\x00\\\x%02x\\\x90\\\x%02x\\\x90]]' $horiz $vert`
	echo -n -e $packet | $RS232IO
    fi
fi

if [ "$?" -ne 0 ]; then echo "Send failed"; exit; fi

echo "Data sent."
